import json

from .env_vars import PAYLOAD_ROOT_KEY, EnvVar, get_private_env_var


class Request:
    def __init__(self):
        # User in a dev environment must get production=False, scheduled=False
        # and payload=None.
        self.production = (
            get_private_env_var(EnvVar.EXECUTION_ENVIRONMENT.value) == "production"
        )
        self.scheduled = get_private_env_var(EnvVar.SCHEDULED.value) == "True"

        payload = get_private_env_var(EnvVar.PAYLOAD.value)
        self.payload = (
            None if payload is None else json.loads(payload)[PAYLOAD_ROOT_KEY]
        )
